#!/usr/bin/env python
#
from distutils.core import setup
from DistUtilsExtra.command import build_extra
import subprocess
import build_i18n_ext as build_i18n

setup(name="unity-scope-gdocs",
      version="0.5",
      author="Alberto Mardegan",
      author_email="alberto.mardegan@canonical.com",
      url="http://launchpad.net/unity-lens-gdocs",
      license="GNU General Public License v3 (GPLv3)",
      data_files=[
    ('lib/unity-lens-files', ['unity-scope-gdocs']),
    ('share/applications', ['unity-scope-gdocs.desktop']),
    ('share/dbus-1/services', ['unity-scope-gdocs.service']),
    ('share/icons/hicolor/48x48/apps', ['unity-scope-gdocs.png']),
    ('share/unity/lenses/files', ['gdocs.scope']),
    ], cmdclass={"build":  build_extra.build_extra,
                 "build_i18n": build_i18n.build_i18n,})
